package de.ivu.elect.business.internet.boundary;

import java.util.Map;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.internet.entity.InternetSeite;
import de.ivu.elect.business.internet.entity.InternetWidget;

@Stateless
public class InternetWidgetEdit extends AbstractInternetWidgetEdit {

  @Inject
  private transient InternetWidgetDAO internetWidgetDAO;

  public void savePositionen(InternetSeite internetSeiteNotAttached, Map<String, Long> zeilenNachId, Map<String, Long> spaltenNachId) {
    for (InternetWidget internetWidget : internetWidgetDAO.findByInternetSeiteOhneHeaderOrdered(internetSeiteNotAttached)) {
      String id = internetWidget.buildInternetId();
      if (zeilenNachId.containsKey(id) && spaltenNachId.containsKey(id)) {
        internetWidget.setZeile(zeilenNachId.get(id));
        internetWidget.setPosition(spaltenNachId.get(id));
      }
    }
  }
}
